import gpioKey from '../dxmodules/dxGpioKey.js'
import logger from '../dxmodules/dxLogger.js'
import std from '../dxmodules/dxStd.js'


//Initialize gpioKey
let res = gpioKey.init()
logger.info('gpioKey initialization: ', res)
std.setInterval(() => {
    if (!gpioKey.msgIsEmpty()) {
        let res = gpioKey.msgReceive();
        logger.info('gpioKey data was detected: ',JSON.stringify(res))
       
    }
}, 20)

